aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/run-vivado.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/run-vivado.sh')
-rwxr-xr-xscripts/run-vivado.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/scripts/run-vivado.sh b/scripts/run-vivado.sh
new file mode 100755
index 0000000..117054d
--- /dev/null
+++ b/scripts/run-vivado.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+benchmark=./$1/$2
+echo $benchmark
+
+ cp ./synth.tcl $benchmark/. 2>/dev/null
+ cd $benchmark || exit 1
+ vivado -mode batch -source synth.tcl >vivado.log 2>&1